Bug 2275001 (CVE-2024-21085)

Summary: CVE-2024-21085 OpenJDK: Pack200 excessive memory allocation (8322114)
Product: [Other] Security Response Reporter: Mauro Matteo Cascella <mcascell>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, caswilli, chazlett, fjansen, jbuscemi, jsamir, kaycoth, kholdawa, khosford, mbalao, neugens, pjindal, security-response-team, sraghupu, sthirugn, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Concurrency). Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition. Note: This vulnerability can be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. This vulnerability also applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets, that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2275417    
Bug Blocks: 2274351    

Description Mauro Matteo Cascella 2024-04-14 16:25:32 UTC
A flaw was found in the Pack200 archive format in OpenJDK. The NativeUnpack class did not properly validate the memory size when allocating a buffer, potentially leading to an excessive memory allocation and denial of service condition.

Comment 1 errata-xmlrpc 2024-04-16 21:47:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2024:1817 https://access.redhat.com/errata/RHSA-2024:1817

Comment 2 errata-xmlrpc 2024-04-17 11:40:39 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u412

Via RHSA-2024:1816 https://access.redhat.com/errata/RHSA-2024:1816

Comment 3 errata-xmlrpc 2024-04-17 11:40:52 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u412

Via RHSA-2024:1815 https://access.redhat.com/errata/RHSA-2024:1815

Comment 4 errata-xmlrpc 2024-04-17 11:46:37 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.23

Via RHSA-2024:1820 https://access.redhat.com/errata/RHSA-2024:1820

Comment 7 errata-xmlrpc 2024-04-18 13:23:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service
  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service
  Red Hat Enterprise Linux 8.6 Extended Update Support
  Red Hat Enterprise Linux 8.8 Extended Update Support
  Red Hat Enterprise Linux 9.0 Extended Update Support
  Red Hat Enterprise Linux 8
  Red Hat Enterprise Linux 9.2 Extended Update Support
  Red Hat Enterprise Linux 9

Via RHSA-2024:1818 https://access.redhat.com/errata/RHSA-2024:1818

Comment 8 errata-xmlrpc 2024-04-18 17:27:35 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.23

Via RHSA-2024:1819 https://access.redhat.com/errata/RHSA-2024:1819

Comment 9 errata-xmlrpc 2024-04-22 15:05:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2024:1821 https://access.redhat.com/errata/RHSA-2024:1821

Comment 10 errata-xmlrpc 2024-04-22 16:09:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service
  Red Hat Enterprise Linux 8.8 Extended Update Support
  Red Hat Enterprise Linux 8
  Red Hat Enterprise Linux 9.2 Extended Update Support
  Red Hat Enterprise Linux 9
  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service
  Red Hat Enterprise Linux 8.6 Extended Update Support
  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:1822 https://access.redhat.com/errata/RHSA-2024:1822